routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Index page
Route::get('/', 'IndexController@indexPage');
Route::get('/sortProducts', 'IndexController@sortProduct')->name('sortProduct');

//Product page
Route::get('/product/{id}', 'ProductPageController@productInfo');
Route::post('/updateViews', 'ProductPageController@updateViews');
Route::post('/commentInsert', 'ProductPageController@insertComment')->name('comment');

//Registration
Route::get('/register', 'UserController@registerView');
Route::post('/register', 'UserController@register');
Route::post('/login', 'UserController@login')->name('login');
Route::get('/verifyEmail/{token}', 'UserController@verifyEmail');
Route::get("/logout", function() {
    session()->forget("user");
    return redirect('/');
})->name("logout");

//User page
Route::get('/user/{user}', 'UserPageController@index')->name('user')->middleware('user');
Route::post('/product', 'UserPageController@insertProduct')->name('productInsert');
Route::post('/productInfo', 'UserPageController@getUpdateInfo');
Route::post('/productUpdate', 'UserPageController@productUpdate')->name('productUpdate');
Route::post('/productDelete', 'UserPageController@productDelete')->name('productDelete');

//Author
Route::get('/author', function (){
   return view('front.pages.author');
})->name('author');


//Admin rute

Route::group(['middleware' => 'admin'], function() {
    //User
    Route::resource('/admin/user', 'Admin\UserController');
    Route::post('/admin/user/updatePodaci', 'Admin\UserController@updatePodaci');
    Route::post('/admin/user/updateUser', 'Admin\UserController@updateUser');
    Route::post('/admin/user/deleteUser', 'Admin\UserController@deleteUser');

    //Comment
    Route::get('/admin/comment/index', 'Admin\CommentController@indexPage');
    Route::post('/admin/comment/insert', 'Admin\CommentController@insert')->name('comment_insert');
    Route::post('/admin/comment/updatePodaci', 'Admin\CommentController@updatePodaci');
    Route::post('/admin/user/updateComment', 'Admin\CommentController@updateComment')->name('commnet_update');
    Route::post('/admin/comment/deleteComment', 'Admin\CommentController@deleteComment');

    //Product
    Route::get('/admin/product/index', 'Admin\ProductController@indexPage');
    Route::post('/admin/product/insert', 'Admin\ProductController@insert')->name('product_insert');
    Route::post('/admin/product/updatePodaci', 'Admin\ProductController@updatePodaci');
    Route::post('/admin/product/updateProduct', 'Admin\ProductController@updateProduct')->name('product_update');
    Route::post('/admin/product/deleteProduct', 'Admin\ProductController@deleteProduct');

});

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Models\Admin\AdminRoleModel;
use App\Models\Admin\AdminUserModel;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Log;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    private $userModel;
    private $roleModel;
    public function __construct(){
        $this->userModel = new AdminUserModel();
        $this->roleModel = new AdminRoleModel();
    }

    public function index()
    {
        $roles = $this->roleModel->getAll();
        $users = $this->userModel->getAll();
        return view('admin.user.index',[
            'users' => $users,
            'roles' => $roles
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    public function updateUser(Request $request){
        $first_name = $request->first_name;
        $last_name = $request->last_name;
        $email = $request->email;
        $tel = $request->tel;
        $city = $request->city;
        $role_id = $request->role_id;
        $aktivan = $request->aktivan;
        $pass = $request->password;
        $user_id = $request->user_id;
        if(strlen($pass) == 32){
            $pass = 'zika';
            $this->userModel->updateUser($first_name, $last_name, $email,$pass, $tel, $city, $aktivan, $role_id, $user_id);
            session()->put('message', 'Succesfully updated user!');
            return redirect()->back();
        } else {
            $this->userModel->updateUser($first_name, $last_name, $email, $pass, $tel, $city, $aktivan, $role_id, $user_id);
            session()->put('message', 'Succesfully updated user!');
            return redirect()->back();
        }
    }

    public function store(Request $request)
    {
        $first_name = $request->first_name;
        $last_name = $request->last_name;
        $pass = $request->password;
        $email = $request->email;
        $tel = $request->tel;
        $city = $request->city;
        $role_id = $request->role_id;
        $aktivan = $request->aktivan;
        try{
            $this->userModel->addUser($first_name, $last_name, $email, $pass, $tel, $city, $aktivan, $role_id);
            session()->put('message', 'Succesfully inserted user!');
            return redirect()->back();
        }catch (\Exception $e){
            Log::critical("Greska adminInsert user");
            session()->put('message', 'Greska adminInsert user');
            return redirect()->back();
        }
    }


    public function updatePodaci(Request $request){
        $user = $this->userModel->getSingleUser($request->userId);
        return response()->json($user);
    }


    public function deleteUser(Request $request){
        $this->userModel->deleteUser($request->user_id);
        session()->put('message', 'Succesfully deleted user!');
        return redirect()->back();
    }
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\RegistrationRequest;
use App\Models\UserModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class UserController extends Controller
{
    private $userModel;

    public function __construct(){
        $this->userModel = new UserModel();
    }

    public function registerView(){
        return view('front.pages.register');
    }

    public function register(RegistrationRequest $request){
        $token = md5(time().rand().$request->email);
        $ime = $request->ime;
        $prezime = $request->prezime;
        $email = $request->email;
        $pass = $request->pass;
        $tel = $request->tel;
        $grad = $request->city;
        $this->userModel->registration($ime, $prezime, $email, $pass, $tel, $grad, $token);
        $data = array('name' => $ime, 'body' => 'http://localhost:8000/verifyEmail/'.$token);
        try {
            Mail::send('front.pages.email', $data, function ($message) use ($ime, $email) {
                $message->to($email, $ime)
                    ->subject('PC and Equipment Site');
                $message->from('php2sajt2@gmail.com', 'Account verification');
            });
            return response()->json(['data' => 'Successful registration, please activate an account on your email.']);
        }catch (\Exception $e){
            return $e->getMessage();
        }
    }

    public function verifyEmail($token){
        $user = $this->userModel->verifyAcc($token);
        session()->put('user', $user);
        return redirect('/');
    }

    public function login(Request $request){
        $user = $this->userModel->login($request->input('emailLog'), $request->input('passLog'));
        if($user == null):
            session()->put('noUser', 'There is no user with provided data, or account is not activated!');
        endif;
        session()->put('user', $user);
        $url = url()->previous();
        if( strpos($url, 'register') && $user != null):
            return redirect('/');
        else:
            return redirect()->back();
        endif;
    }
}

resources/views/admin/user/index.blade.php
@extends('layouts.admin')
@section('main')
    <div id="page-wrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <h3 class="page-header">
                        Manage Users
                    </h3>
                    @if(session()->has('message'))
                        <div class="container">
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        </div>
                        <?php session()->forget('message'); ?>
                    @endif
                    <ol class="breadcrumb">
                        <li class="active">
                            <a href="" data-toggle="modal" data-target="#exampleModal4"  class="btn btn-primary" >Add new user</a>
                        </li>
                    </ol>
                    <div class="col-md-8">
                        <div id="odgovor"></div>
                        <table class="table table-striped table-condensed table-bordered tabe-responsive" style="font-size: 14px;">
                            <tr>
                                <th>ID</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Email</th>
                                <th>Contact</th>
                                <th>City</th>
                                <th>Active</th>
                                <th>Role</th>
                                <th>Delete</th>
                                <th>Update</th>
                            </tr>
                            @foreach($users as $user)
                            <tr>
                                <td>
                                    {{ $user->id }}
                                </td>
                                <td>
                                    {{ $user->ime }}
                                </td>
                                <td>
                                    {{ $user->prezime }}
                                </td>
                                <td>
                                    {{ $user->email }}
                                </td>
                                <td>
                                    {{ $user->kontakt }}
                                </td>
                                <td>
                                    {{ $user->grad }}
                                </td>
                                <td>
                                    {{ $user->aktivan }}
                                </td>
                                <td>
                                    {{ $user->uloga }}
                                </td>
                                <td>
                                    <a href=""  class="adminDeleteUser btn btn-danger" data-id="{{$user->id}}">Delete</a>
                                </td>
                                <td>
                                    <a href="" data-id="{{$user->id}}" data-toggle="modal" data-target="#adminUserUpdate" class="adminUpdateUser btn btn-success">Update</a>
                                </td>
                            </tr>
                            @endforeach
                        </table>
                        <input type="hidden" id="csrf" value="{{csrf_token()}}">
                        <nav aria-label="Page navigation">
                            <ul class="pagination">
                                {{$users->links()}}
                            </ul>
                        </nav>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@component('admin.user.insert_modal', ['roles' => $roles])@endcomponent
@component('admin.user.update_modal', ['roles' => $roles])@endcomponent

resources/views/admin/user/insert_modal.blade.php
<div class="modal fade" id="exampleModal4" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="exampleModalLabel">New User</h3>
            </div>
            <div class="modal-body">
                <form action="{{route('user.store')}}" method="post">
                    @csrf
                    <p></p>
                    <div class="form-group">
                        <input type="text" class="form-control" name="first_name" placeholder="First name" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="last_name" placeholder="Last name" required="required">
                    </div>
                    <div class="form-group">
                        <input type="email" class="form-control" name="email" placeholder="Email" required="required">
                    </div>
                    <div class="form-group">
                        <input type="password" class="form-control" name="password" placeholder="Password" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="tel" placeholder="Contact tel" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="city" placeholder="City" required="required">
                    </div>
                    <div class="form-group">
                        <select name="role_id" class="form-control">
                            @foreach($roles as $role)
                                <option value="{{$role->id}}">{{$role->uloga}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <select name="aktivan" class="form-control">
                            <option value="0">Neaktivan nalog</option>
                            <option value="1">Aktivan nalog</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success" name="inComm">Add new user</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

resources/views/admin/user/update_modal.blade.php
<div class="modal fade" id="adminUserUpdate" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="exampleModalLabel">Update user</h3>
            </div>
            <div class="modal-body">
                <form action="{{url('/admin/user/updateUser')}}" method="post">
                    @csrf
                    <p></p>
                    <div class="form-group">
                        <input type="text" class="form-control" name="first_name" id="first_name" placeholder="First name" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="last_name" id="last_name" placeholder="Last name" required="required">
                    </div>
                    <div class="form-group">
                        <input type="email" class="form-control" name="email" id="email" placeholder="Email" required="required">
                    </div>
                    <div class="form-group">
                        <input type="password" class="form-control" name="password" id="password" placeholder="Password" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="tel" id="tel" placeholder="Contact tel" required="required">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="city" id="city" placeholder="City" required="required">
                    </div>
                    <div class="form-group">
                        <input type="hidden" class="form-control" name="user_id" id="user_id" required="required">
                    </div>
                    <div class="form-group">
                        <select name="role_id" class="form-control" id="adminUserRoleddl">
                            @foreach($roles as $role)
                                <option value="{{$role->id}}">{{$role->uloga}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <select name="aktivan" class="form-control" id="adminUserAktivanddl">
                            <option value="0">Neaktivan nalog</option>
                            <option value="1">Aktivan nalog</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success" name="inComm">Update user</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>